
<template>
<div padding class="wrapper">
  <q-page padding class="flex flex-center bg-grey-3">
    <div class="row-2">
      <q-card class="my-card bg-grey-6" style="padding-top: 50px; padding-bottom: 30px; height: 90vh; width: 160vh; justify-content: center; color: green-4; flexbox: items-center ">
                <div class="row" style="padding-left: 700px">
                <img src="~assets/quasar-logo-full.svg" style="height: 200px; width: 200px" alt="me">
              </div>
              <div class="row">
                <q-label class="row-2" style="padding-left: 750px">@leonedithlozano</q-label>
              </div>

          <q-section>
            <q-card class="bg-grey-5">
              <q-form class="row-4" style="padding-top: 30px; padding-left: 50px; padding-right: 50px">
                <h5>Basic Information</h5>
                <div class="col-4" style="padding: 5px"><q-input outlined v-model="fname" label="First Name" /></div>
                <div class="col-4" style="padding: 5px"><q-input outlined v-model="lname" label="Last Name" /></div>
                <div class="col-4" style="padding: 5px"><q-input outlined v-model="emp_id" label="Employee ID" /></div>
                <div class="col-4" style="padding: 5px"><q-input outlined v-model="dept_id" label="Department ID" /></div>
                <div class="col-4" style="padding: 5px"><q-input outlined v-model="username" label="Username" /></div>
                <div class="col-4" style="padding: 5px"><q-input outlined v-model="password" label="Password" /></div>
                <div class="col-4" style="padding: 5px"><q-input outlined v-model="email" label="Email" /></div>
              </q-form>
              <q-section class="row q-pa-xl q-gutter-xl" style="padding-top: 30px; padding-left: 1180px">
                <q-btn class="bottom-right" v-close-popup to="/" icon="arrow_left" />
                <q-btn v-close-popup to="/userProfile"  style="width: 80px" color="primary" label="Save" />
                <q-btn v-close-popup to="/editProfile"  style="width: 80px" color="primary" label="Cancel" />
              </q-section>

      </q-card>
    </q-section>
    </q-card>
    </div>
  </q-page>
</div>
</template>

<script>
export default {
  data () {
    return {
      fname: 'Leonedith',
      lname: 'Lozano',
      username: 'leonlozano',
      password: '........',
      email: 'leonedithlozano@gmail.com',
      emp_id: '43432',
      dept_id: 'A',
      url: 'https://i.ibb.co/cDRyKVH/prof-pic.jpg'
    }
  },
  methods () {

  }
}
</script>
<style lang="stylus">

</style>
